javax.persistence

## Class RollbackException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.persistence.PersistenceException
        - - javax.persistence.RollbackException

All Implemented Interfaces:
  Serializable

    public class RollbackException
    extends PersistenceException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RollbackException()`
`RollbackException(String message)`
`RollbackException(String message, Throwable cause)`
`RollbackException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RollbackException

    public RollbackException()

#### RollbackException

    public RollbackException(String message)

#### RollbackException

    public RollbackException(String message,
                             Throwable cause)

#### RollbackException

    public RollbackException(Throwable cause)